efl::text_properties Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::text_properties Struct Reference

Class text_properties. More...

## Public Member Functions
| text_properties (Eo *eo)
| Eo Constructor. More...
| text_properties (std::nullptr_t)
| nullptr_t Constructor. More...
| text_properties (text_properties const &other)
| Copy Constructor.
void | font_get (const char **font_, Efl_Font_Size *size_) const
| Retrieve the font family and size in use on a given text object. More...
void | font_set (::efl::eina::string_view font_, Efl_Font_Size size_) const
| Set the font family or filename, and size on a given text object. More...
::efl::eina::string_view | font_source_get () const
| Get the font file's path which is being used on a given text object. More...
void | font_source_set (::efl::eina::string_view font_source_) const
| Set the font (source) file to be used on a given text object. More...
| text_properties (::efl::eo::parent_type _p)
| Constructs a new efl::text_properties object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class text_properties.

## Constructor & Destructor Documentation

efl::text_properties::text_properties | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::text_properties object.

Constructs a new efl::text_properties object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::text_properties my_text_properties(efl::eo::parent = parent_object);

See also
  text_properties(Eo* eo)

efl::text_properties::text_properties | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::text_properties::text_properties | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void efl::text_properties::font_get | ( | const char ** | font_,
|  | Efl_Font_Size * | size_
| ) |  | const

Retrieve the font family and size in use on a given text object.

This function allows the font name and size of a text object to be queried. Be aware that the font name string is still owned by Evas and should not have free() called on it by the caller of the function.

See also
  evas_object_text_font_set()

Parameters

  font | The font family name or filename.
  size | The font size, in points.

void efl::text_properties::font_set | ( | ::efl::eina::string_view | font_,
|  | Efl_Font_Size | size_
| ) |  | const

Set the font family or filename, and size on a given text object.

This function allows the font name and size of a text object to be set. The `font` string has to follow fontconfig's convention on naming fonts, as it's the underlying library used to query system fonts by Evas (see the `fc-list` command's output, on your system, to get an idea). Alternatively, one can use a full path to a font file.

See also
  evas_object_text_font_get()
  evas_object_text_font_source_set()

Parameters

  font | The font family name or filename.
  size | The font size, in points.

::efl::eina::string_view efl::text_properties::font_source_get | ( |  | ) | const

Get the font file's path which is being used on a given text object.

Returns
  The font file's path.

See also
  evas_object_text_font_get() for more details

Parameters

  font_source | The font file's path.

void efl::text_properties::font_source_set | ( | ::efl::eina::string_view | font_source_ | ) | const

Set the font (source) file to be used on a given text object.

This function allows the font file to be explicitly set for a given text object, overriding system lookup, which will first occur in the given file's contents.

See also
  evas_object_text_font_get()

Parameters

  font_source | The font file's path.